import { EndpointDescription, EndpointBehavior } from "../description/endpointDescription";
import { DispatchEndpoint } from "../dispatcher/dispatchEndpoint";
/**
 * Endpoint behavior that enables REST communication on an endpoint.
 *
 * <uml>
 *  hide members
 *  hide circle
 *  EndpointBehavior <|.. RestBehavior
 * </uml>
 */
export declare class RestBehavior implements EndpointBehavior {
    applyEndpointBehavior(description: EndpointDescription, endpoint: DispatchEndpoint): void;
}
