import { Message } from "../message";
import { DispatchOperation } from "./dispatchOperation";
import { DispatchEndpoint } from "./dispatchEndpoint";
import { EndpointDescription } from "../description/endpointDescription";
import { OperationSelector } from "./dispatchEndpoint";
/**
 * @hidden
 */
export declare class RestOperationSelector implements OperationSelector {
    private _operations;
    constructor(description: EndpointDescription, endpoint: DispatchEndpoint);
    selectOperation(message: Message): DispatchOperation;
}
