import { ResultCallback } from "../common/callbackUtil";
import { OperationDescription } from "../description/operationDescription";
import { OperationInvoker } from "./dispatchOperation";
/**
 * @hidden
 */
export declare class DefaultOperationInvoker implements OperationInvoker {
    /**
     * Timeout for operation. Defaults to 60,000ms (1 minute).
     */
    timeout: number;
    private _parameterCount;
    private _method;
    constructor(description: OperationDescription);
    invoke(instance: any, args: any[], callback: ResultCallback<any>): void;
}
