var message_1 = require("../message");
/**
 * @hidden
 */
var RestFaultFormatter = (function () {
    function RestFaultFormatter() {
    }
    RestFaultFormatter.prototype.serializeFault = function (fault, callback) {
        var body = {
            message: fault.message
        };
        if (fault.code) {
            body.code = fault.code;
        }
        if (fault.detail != null) {
            body.detail = fault.detail;
        }
        var message = new message_1.Message(body);
        message.statusCode = fault.statusCode;
        callback(null, message);
    };
    return RestFaultFormatter;
})();
exports.RestFaultFormatter = RestFaultFormatter;
