import { ResultCallback } from "../common/callbackUtil";
import { Message } from "../message";
import { OperationDescription } from "../description/operationDescription";
import { MessageFormatter } from "./dispatchOperation";
/**
 * @hidden
 */
export declare class RpcMessageFormatter implements MessageFormatter {
    private _operationName;
    private _parameterNames;
    constructor(operation: OperationDescription);
    deserializeRequest(message: Message, callback: ResultCallback<any[]>): void;
    serializeReply(result: any, callback: ResultCallback<Message>): void;
}
