import { Message } from "../message";
import { MessageInspector } from "./dispatchEndpoint";
/**
 * Message inspector adds Vary header to response for endpoints that use versioning.
 * @hidden
 */
export declare class VersionMessageInspector implements MessageInspector {
    afterReceiveRequest(request: Message): any;
    beforeSendReply(reply: Message, state: any): void;
}
