export declare class Url {
    protocol: string;
    hostname: string;
    port: string;
    pathname: string;
    query: string;
    hash: string;
    constructor(address?: Url | string);
    resolve(address: Url | string): Url;
    equals(other: Url): boolean;
    clone(): Url;
    toString(): string;
    static normalize(path: string): string;
}
